"""mosqkiller URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from rest_framework_jwt.views import obtain_jwt_token
from rest_framework.documentation import include_docs_urls

urlpatterns = [
    path('mosq_admin/', admin.site.urls),
    path('api/mosq/', include('mosquito.api.urls')),
    path('api/smart/', include('smart.api.urls')),
    path('api/counter/', include('counter.api.urls')),
    path('api/users/', include("accounts.api.urls")),
    path('api/login/', obtain_jwt_token),
    # path('api/docs/', include_docs_urls("Mosq API Doc"))
    path('api/mobile/users/', include("accounts.api.mobile.urls")),
]

urlpatterns += [
    path('api-auth/', include('rest_framework.urls')),
]

# urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += staticfiles_urlpatterns()